
/**
 *  
 * 
 *   @author Volker Berg 
 *   @version 20.04.2019 */

import java.awt.*;
import baukasten2.*;

public class Gebaeude
 {
    Fenster f;   
    Haus[] hhaus;
    Viadukt[] hBruecke;
    Landschaft hLandschaft;
    
   public Gebaeude() {
      f = new Fenster(1600,1000,20,20);
      f.setTitle ("Zeichenfenster: Brcke, Landschaft und Siedlung");
      f.setVisible (true);  
    }

    public void siedlungErstellen()
     {
      hhaus = new Haus[19];
      hhaus[0]= new Hochhaus(f,900,880,100);
      hhaus[0].zeichnen();
      hhaus[1]= new Haus(f,300,250,60); 
      hhaus[1].zeichnen();
      hhaus[2]= new Halle(f,800,250,60); 
      hhaus[2].zeichnen();
      hhaus[3]=new Haus(f,400,280,65);
      hhaus[3].zeichnen();
      hhaus[4]=new Haus(f,500,300,70);
      hhaus[4].zeichnen();
      hhaus[5]=new Haus(f,600,320,75);
      hhaus[5].zeichnen();
      hhaus[6]=new HausMitGarage(f, 80,250,60);
      hhaus[6].zeichnen();
      hhaus[7]=new LuxusHaus(f,300,500,80);
      hhaus[7].zeichnen();
      hhaus[8]= new LuxusHaus(f,600,550,85);
      hhaus[8].zeichnen();
      hhaus[9]= new Haus(f,300,250,60); 
      hhaus[9].zeichnen();
      hhaus[10]= new Halle(f,950,250,60); 
      hhaus[10].zeichnen();
      hhaus[11]=new LuxusHaus(f,850,550,85);
      hhaus[11].zeichnen();
      hhaus[12]=new HausMitGarage(f,280,880,95);
      hhaus[12].zeichnen();
      hhaus[13]=new Haus(f,480,860,90);
      hhaus[13].zeichnen();
      hhaus[14]=new HausMitGarage(f, 80,900,100);
      hhaus[14].zeichnen();
      hhaus[15]= new Turm(f,1250,250,60); 
      hhaus[15].zeichnen();
      hhaus[16]=new LuxusHaus(f,450,500,80);
      hhaus[16].zeichnen();
      hhaus[17]= new Hochhaus(f,1100,880,100);
      hhaus[17].zeichnen();
      hhaus[18]= new Hochhaus(f,1300,880,100);
      hhaus[18].zeichnen();
  }
    
  public void landschaftZeichnen()
     {hLandschaft=new Landschaft();
         hLandschaft.landschaftZeichnen(f);
        }
        
  public void lichtAn()
   {
      for (int i=0;i<19;i=i+1)
      hhaus[i].lichtAn();
    }
    
  public void lichtAus()
    { for (int i=0;i<19;i=i+1)
      hhaus[i].lichtAus();     
    }
    
    public void tuerAuf()
    { for (int i=0;i<19;i=i+1)
      hhaus[i].tuerAuf();
       
    }
    public void tuerZu()
    { for (int i=0;i<19;i=i+1)
      hhaus[i].tuerZu();
       
    }
    
    public void garageAuf()
    {for (int i=0;i<19;i=i+1)
        if (hhaus[i] instanceof HausMitGarage)
        ((HausMitGarage)hhaus[i]).garageAuf();
    }
    public void garageZu()
    {for (int i=0;i<19;i=i+1)
        if (hhaus[i] instanceof HausMitGarage)
        ((HausMitGarage)hhaus[i]).garageZu();
    }
    
    public void brueckeZeichnen() {
       hBruecke = new Viadukt[32];
       for (int i=0; i<32; i=i+1) {
          hBruecke[i] = new Viadukt (f, i*50-5, 100, 50);
          hBruecke[i].zeichnen();
       } 
    }
} // class 
