
/**
 *  Beschreiben Sie hier die Klasse HausMitGarage.
 * 
 *  @author Volker Berg
 *  @version 20.04.2109
 */

import java.awt.*;
import baukasten2.*;

public class HausMitGarage extends Haus
{
     protected Rechteck hGarage, hTor;
     protected boolean zTorAuf;
   
   public HausMitGarage (Fenster zf, int xPos, int yPos, int breite) {
      super (zf, xPos, yPos, breite);  
      int b, h;
      b = (int)(0.8*zBreite);
      h = (int)(0.6*zBreite);
      hGarage = new Rechteck (zf, zX+zBreite, zY, b, h, Color.lightGray);
      b = (int)(0.6*zBreite);
      h = (int)(0.45*zBreite); 
      hTor = new Rechteck (zf, zX+zBreite+(int)(0.1*zBreite), zY, b, h, Color.blue);
   }
 
   
   protected void garageZeichnen() {
       hGarage.zeichnen();
       hTor.zeichnen();
       zTorAuf = false;
   }
   
   protected void garageLoeschen() {
       hGarage.loeschen();
       zTorAuf = false;
   }
   
   public void zeichnen() {
     super.zeichnen();
     garageZeichnen();
   }  
   
   public void garageAuf() {
      hTor.setzeFarbe(Color.darkGray);
      zTorAuf = true;
   }
    
    
   public void garageZu() {
      hTor.setzeFarbe (Color.blue);
      zTorAuf = false;
   }


}
