
/**
 *  Vererbung1: Klasse LuxusHaus
 * 
 * @author Volker Berg
 * @version 20.04.2019
 */

import java.awt.*;
import baukasten2.*;

public class LuxusHaus extends Haus {
    
    protected Rechteck hOberlicht, hSeitenfenster;
    protected Color braun;
    
    public LuxusHaus (Fenster kZf, int xPos, int yPos, int breite)
    {
        super (kZf, xPos, yPos, breite);
        braun = new Color (180, 60,10);
        hOberlicht = new Rechteck (kZf, zX+zR, zY-(int)(2*zR), (int)(1.4*zR), (int)(0.5*zR),Color.orange);
        hSeitenfenster = new Rechteck (kZf, zX+2*zR, zY, (int)(0.4*zR), (int)(2*zR), Color.orange);
    }
    public void TuerZeichnen()
    {
        hTuer = new Rechteck (kf, zX+zR, zY, zR, 2*zR, braun);
        hTuer.zeichnen();
        hT= new GeoDreieck (kf,zX+zR,zY,zR,braun,'r');
    }
    
    public void zeichnen() {
       super.zeichnen();
       hOberlicht.zeichnen();
       hSeitenfenster.zeichnen();
    }   
    
    public void loeschen() {
       super.loeschen(); 
    }
    
    public void lichtAn() {
       super.lichtAn();
       hOberlicht.setzeFarbe (Color.yellow);
       hSeitenfenster.setzeFarbe (Color.yellow);
       zLichtAn = true;
    }   
    
    
    public void lichtAus() {
       super.lichtAus();  
       hOberlicht.setzeFarbe (Color.orange);
       hSeitenfenster.setzeFarbe (Color.orange);
       zLichtAn = false;
    }   
   
    public void tuerZu() {
       hTuer.setzeFarbe (braun);
       hTuer.zeichnen();
       zTuerAuf = false;
    }
}//End Class
