package baukasten2;

import java.awt.*;  // Color

public class Kreis {
    
  // Attribute
  
   Fenster kZf;
   Graphics kLw;
   int zX, zY, zR;
   Color zFarbe;
   boolean zSichtbar;

  // Konstruktoren
  
    /** Konstruktor */
    public Kreis (Fenster zf, int xPos, int yPos, int radius, Color farbe) {
    
        // Instanzvariable initialisieren
        kZf = zf;
        kLw= kZf.getGraphics();  // Leinwand = Zeichenflaeche
        zX = xPos + kZf.getInsets().left;
        zY = yPos + kZf.getInsets().top;
        zR = radius;
        zFarbe = farbe;
        zSichtbar = false;
    }

   // Methoden
   
    /** zeichnet die Figur */
    public void zeichnen() {
      Color farbeAlt;
      farbeAlt = kLw.getColor();
      kLw.setColor (zFarbe);
      kLw.fillOval (zX-zR, zY-zR, 2*zR, 2*zR);
      kLw.setColor (Color.black);
      kLw.drawOval (zX-zR, zY-zR, 2*zR, 2*zR);
      kLw.setColor (farbeAlt);
      zSichtbar = true;
    }
 
    /** bermalt die Figur mit weier Farbe */
    public void loeschen() {
      Color farbeAlt;
      farbeAlt = kLw.getColor();
      kLw.setColor (Color.white);
      kLw.fillOval (zX-zR, zY-zR, 2*zR, 2*zR);
      kLw.drawOval (zX-zR, zY-zR, 2*zR, 2*zR);
      kLw.setColor (farbeAlt);
      zSichtbar = false;
    }
    
    /** Farbe ... */
    public void setzeFarbe (Color farbe) {
        zFarbe = farbe;
        if (zSichtbar)
           zeichnen();
    }
    
    /** Bezugspunkt: Ecke unten links */
    public void setzePosition (int xPos, int yPos) {
        if (zSichtbar) {
           loeschen();
           zX = xPos; zY = yPos;
           zeichnen();
        } 
        else {
           zX = xPos; zY = yPos; 
        }

    }
    
    /** liefert die x-Koordinate der Figur */
    public int liesXPosition() {
      return zX;
    }
    
    /** liefert die y-Koordinate der Figur */
    public int liesYPosition() {
      return zY;
    }
    
} // class