package baukasten2;

/**
 *  Baukasten: Klasse Linie
 * 
 *  @author Volker Berg
 *  @version 20.04.2019
 */

import java.awt.*;

public class Linie {
   Fenster kZf;
   Graphics kLw;
   int zX, zY, zX2, zY2,d;
   Color zFarbe;
   boolean zSichtbar;


    public Linie (Fenster Zf, int xPos, int yPos, int xPos2, int yPos2, Color farbe, int dicke)
    {    
        kZf = Zf;
        kLw = kZf.getGraphics();
        zX = xPos + kZf.getInsets().left;
        zY = yPos + kZf.getInsets().top;
        zX2 = xPos2 + kZf.getInsets().left;
        zY2 = yPos2 + kZf.getInsets().top;
        d=dicke;
        zFarbe = farbe;
        zSichtbar = false;
     }

    public void zeichnen() {
        Graphics2D g2D=(Graphics2D) kLw;
        Color farbeAlt;
        farbeAlt = kLw.getColor();
        g2D.setColor (zFarbe);
        g2D.setStroke(new BasicStroke(d));
        g2D.drawLine (zX,zY,zX2,zY2);
        
        g2D.setColor (farbeAlt);
        zSichtbar = true;
    }

    public void loeschen() {
        Color farbeAlt;
        farbeAlt = kLw.getColor();
        kLw.setColor (Color.white);
        kLw.drawLine (zX, zY,zX2,zY2);
        kLw.setColor (farbeAlt);
        zSichtbar = false;
    }
    

    public void setzeFarbe (Color farbe) {
        zFarbe = farbe;
        if (zSichtbar)
           zeichnen();
    }
    

    public void setzePosition (int xPos, int yPos) {
       if (zSichtbar) {
          loeschen();
          zX = xPos; zY = yPos;
          zeichnen();
        }
        else {
          zX = xPos; zY = yPos;   
        }    
    }
    

    public int liesXPosition() {
        return zX;
    }
    

    public int liesYPosition() {
        return zY;
    }
    
} // class
