package baukasten2;

/**
 *  Baukasten: Klasse Rechteck
 * 
 *  @author Peter Damann 
 *  @version 08.07.2012
 */

import java.awt.*;  // Color

public class Rechteck {
    
  // Attribute
  
   Fenster kZf;
   Graphics kLw;
   int zX, zY, zB, zH;
   Color zFarbe;
   boolean zSichtbar;

  // Konstruktoren
  
    /** Konstruktor */
    public Rechteck (Fenster Zf, int xPos, int yPos, int breite, int hoehe, Color farbe)
    {    
        // Instanzvariable initialisieren
        kZf = Zf;
        kLw = kZf.getGraphics();  // Leinwand = Zeichenflaeche
        zX = xPos + kZf.getInsets().left;
        zY = yPos + kZf.getInsets().top;
        zB = breite;
        zH = hoehe;
        zFarbe = farbe;
        zSichtbar = false;
     }

   // Methoden
   
    /** zeichnet die Figur */
    public void zeichnen() {
        Color farbeAlt;
        farbeAlt = kLw.getColor();
        kLw.setColor (zFarbe);
        kLw.fillRect (zX, zY-zH, zB, zH);
        kLw.setColor (Color.black);
        kLw.drawRect (zX, zY-zH, zB, zH);
        kLw.setColor (farbeAlt);
        zSichtbar = true;
    }
 
    /** bermalt die Figur mit weier Farbe */
    public void loeschen() {
        Color farbeAlt;
        farbeAlt = kLw.getColor();
        kLw.setColor (Color.white);
        kLw.fillRect (zX, zY-zH, zB, zH);
        // kLw.setColor (Color.white);
        // kLw.drawRect (zX, zY-zH, zB, zH);
        kLw.setColor (farbeAlt);
        zSichtbar = false;
    }
    
    /** Farbe ... */
    public void setzeFarbe (Color farbe) {
        zFarbe = farbe;
        if (zSichtbar)
           zeichnen();
    }
    
    /** Bezugspunkt: Ecke unten links */
    public void setzePosition (int xPos, int yPos) {
       if (zSichtbar) {
          loeschen();
          zX = xPos; zY = yPos;
          zeichnen();
        }
        else {
          zX = xPos; zY = yPos;   
        }    
    }
    
    /** liefert die x-Koordinate der Figur */
    public int liesXPosition() {
        return zX;
    }
    
    /** liefert die y-Koordinate der Figur */
    public int liesYPosition() {
        return zY;
    }
    
} // class
